> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# dayofmonth

> MDO provider for the hard-coded list of day alternatives in the recurrence dialog.

## "dayofmonth" MDO List

MDO provider for the hard-coded list of day alternatives in the recurrence dialog.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.DayOfMonthProvider">DayOfMonthProvider</see> class.
The name of the MDO list is 'dayofmonth'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/dayofmonth
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("dayofmonth", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name   | StyleHint     | ExtraInfo |
| -- | ------ | ------------- | --------- |
| 1  | Day %d | replacekey=%d | 1         |
| 2  | Day %d | replacekey=%d | 2         |
| 3  | Day %d | replacekey=%d | 3         |
| 4  | Day %d | replacekey=%d | 4         |
| 5  | Day %d | replacekey=%d | 5         |
| 6  | Day %d | replacekey=%d | 6         |
| 7  | Day %d | replacekey=%d | 7         |
| 8  | Day %d | replacekey=%d | 8         |
| 9  | Day %d | replacekey=%d | 9         |
| 10 | Day %d | replacekey=%d | 10        |
| 11 | Day %d | replacekey=%d | 11        |
| 12 | Day %d | replacekey=%d | 12        |
| 13 | Day %d | replacekey=%d | 13        |
| 14 | Day %d | replacekey=%d | 14        |
| 15 | Day %d | replacekey=%d | 15        |
| 16 | Day %d | replacekey=%d | 16        |
| 17 | Day %d | replacekey=%d | 17        |
| 18 | Day %d | replacekey=%d | 18        |
| 19 | Day %d | replacekey=%d | 19        |
| 20 | Day %d | replacekey=%d | 20        |
| 21 | Day %d | replacekey=%d | 21        |

## Related MDO Lists

* "dayofmonthheadings"
* "dayofmonthheadingswithallitem"
* "dayofmonthheadingswithallitemwithnoselection"
* "dayofmonthheadingswithnoselection"
* "dayofmonthwithallitem"
* "dayofmonthwithallitemwithnoselection"
* "dayofmonthwithnoselection"


## Related topics

- [Working with follow-ups (appointments) in API](/en/diary/dev/index.md)
- [SuperOffice.WebApi.Data.TimeZoneRule](/en/api/reference/webapi/SuperOffice.WebApi.Data.TimeZoneRule.md)
- [SuperOffice.WebApi.Data.RecurrenceYearlyPattern](/en/api/reference/webapi/SuperOffice.WebApi.Data.RecurrenceYearlyPattern.md)
- [SuperOffice.WebApi.Data.RecurrenceMonthlyPattern](/en/api/reference/webapi/SuperOffice.WebApi.Data.RecurrenceMonthlyPattern.md)
- [Enum RecurrenceYearlyPattern](/en/automation/crmscript/reference/CRMScript.NetServer.RecurrenceYearlyPattern.md)
- [NSTimeZoneRule](/en/automation/crmscript/reference/CRMScript.NetServer.NSTimeZoneRule.md)
